# include/NvJpegEncoder.h File Reference

NVIDIA Eagle Eye API: Image Encode API More...

`#include <stdio.h>`
`#include "jpeglib.h"`
`#include "NvElement.h"`
`#include "NvBuffer.h"`

Go to the source code of this file.

## Classes

class | NvJPEGEncoder
| NvJpegEncoder uses the `libjpeg` APIs for encoding JPEG images. More...

## Defines

#define | MAX_CHANNELS 3
| `TEGRA_ACCELERATE` must be defined to enable hardware acceleration of JPEG encoding.

## Detailed Description

NVIDIA Eagle Eye API: Image Encode API

This file declares the NvJpegEncoder APIs.

Definition in file NvJpegEncoder.h.